Index: trunk/NEMO/OPA_SRC/DYN/dynspg_flt.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynspg_flt.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/DYN/dynspg_flt.F90	(revision 1601)
@@ -18,7 +18,5 @@
    !!   'key_dynspg_flt'                              filtered free surface
    !!----------------------------------------------------------------------
-   !!   dyn_spg_flt  : update the momentum trend with the surface pressure
-   !!                  gradient in the filtered free surface case with
-   !!                  vector optimization
+   !!   dyn_spg_flt  : update the momentum trend with the surface pressure gradient in the filtered free surface case 
    !!   flt_rst      : read/write the time-splitting restart fields in the ocean restart file
    !!----------------------------------------------------------------------
@@ -31,4 +29,5 @@
    USE phycst          ! physical constants
    USE domvvl          ! variable volume
+   USE solmat          ! matrix construction for elliptic solvers
    USE solver          ! solver initialization
    USE solpcg          ! preconditionned conjugate gradient solver
@@ -44,5 +43,4 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE prtctl          ! Print control
-   USE solmat          ! matrix construction for elliptic solvers
    USE agrif_opa_interp
    USE iom
@@ -76,6 +74,6 @@
       !! ** Method  :   Filtered free surface formulation. The surface
       !!      pressure gradient is given by:
-      !!         spgu = 1/rau0 d/dx(ps) =  1/e1u di( sshn + rnu btda )
-      !!         spgv = 1/rau0 d/dy(ps) =  1/e2v dj( sshn + rnu btda )
+      !!         spgu = 1/rau0 d/dx(ps) =  1/e1u di( sshn + btda )
+      !!         spgv = 1/rau0 d/dy(ps) =  1/e2v dj( sshn + btda )
       !!      where sshn is the free surface elevation and btda is the after
       !!      time derivative of the free surface elevation
@@ -106,11 +104,11 @@
       USE oce, ONLY :   zvb   => sa   ! ta used as workspace
       !!
-      INTEGER, INTENT( in )  ::   kt       ! ocean time-step index
-      INTEGER, INTENT( out ) ::   kindic   ! solver convergence flag (<0 if not converge)
+      INTEGER, INTENT(in   ) ::   kt       ! ocean time-step index
+      INTEGER, INTENT(  out) ::   kindic   ! solver convergence flag (<0 if not converge)
       !!                                   
-      INTEGER  ::   ji, jj, jk                          ! dummy loop indices
-      REAL(wp) ::   z2dt, z2dtg, zraur, znugdt          ! temporary scalars
-      REAL(wp) ::   znurau, zgcb, zbtd                  !   "          "
-      REAL(wp) ::   ztdgu, ztdgv                        !   "          "
+      INTEGER  ::   ji, jj, jk           ! dummy loop indices
+      REAL(wp) ::   z2dt, z2dtg, zraur   ! temporary scalars
+      REAL(wp) ::   zgcb, zbtd   !   -          -
+      REAL(wp) ::   ztdgu, ztdgv         !   -          -
       !!----------------------------------------------------------------------
       !
@@ -127,16 +125,14 @@
          ! read filtered free surface arrays in restart file
          ! when using agrif, sshn, gcx have to be read in istate
-         IF (.NOT. lk_agrif) CALL flt_rst( nit000, 'READ' )       ! read or initialize the following fields:
+         IF(.NOT. lk_agrif)   CALL flt_rst( nit000, 'READ' )      ! read or initialize the following fields:
          !                                                        ! gcx, gcxb
       ENDIF
 
       ! Local constant initialization
-      z2dt = 2. * rdt                                       ! time step: leap-frog
-      IF( neuler == 0 .AND. kt == nit000 ) z2dt = rdt       ! time step: Euler if restart from rest
-      IF( neuler == 0 .AND. kt == nit000+1 ) CALL sol_mat(kt)
+      z2dt = 2. * rdt                                             ! time step: leap-frog
+      IF( neuler == 0 .AND. kt == nit000   )   z2dt = rdt         ! time step: Euler if restart from rest
+      IF( neuler == 0 .AND. kt == nit000+1 )   CALL sol_mat( kt )
       z2dtg  = grav * z2dt
       zraur  = 1. / rauw
-      znugdt =  rnu * grav * z2dt
-      znurau =  znugdt * zraur
 
       !! Explicit physics with thickness weighted updates
@@ -237,7 +233,5 @@
          END DO
       END DO
-
-      ! Boundary conditions on (spgu,spgv)
-      CALL lbc_lnk( spgu, 'U', -1. )
+      CALL lbc_lnk( spgu, 'U', -1. )       ! lateral boundary conditions 
       CALL lbc_lnk( spgv, 'V', -1. )
 
@@ -245,5 +239,5 @@
 
       ! Right hand side of the elliptic equation and first guess
-      ! -----------------------------------------------------------
+      ! --------------------------------------------------------
       DO jj = 2, jpjm1
          DO ji = fs_2, fs_jpim1   ! vector opt.
@@ -259,5 +253,5 @@
       END DO
       ! applied the lateral boundary conditions
-      IF( nsolv == 2 .AND. MAX( jpr2di, jpr2dj ) > 0 ) CALL lbc_lnk_e( gcb, c_solver_pt, 1. )   
+      IF( nn_solv == 2 .AND. MAX( jpr2di, jpr2dj ) > 0 )   CALL lbc_lnk_e( gcb, c_solver_pt, 1. )   
 
 #if defined key_agrif
@@ -265,11 +259,11 @@
          ! add contribution of gradient of after barotropic transport divergence 
          IF( nbondi == -1 .OR. nbondi == 2 )   gcb(3     ,:) =   &
-            &    gcb(3     ,:) - znugdt * z2dt * laplacu(2     ,:) * gcdprc(3     ,:) * hu(2     ,:) * e2u(2     ,:)
+            &    gcb(3     ,:) - z2dtg * z2dt * laplacu(2     ,:) * gcdprc(3     ,:) * hu(2     ,:) * e2u(2     ,:)
          IF( nbondi ==  1 .OR. nbondi == 2 )   gcb(nlci-2,:) =   &
-            &    gcb(nlci-2,:) + znugdt * z2dt * laplacu(nlci-2,:) * gcdprc(nlci-2,:) * hu(nlci-2,:) * e2u(nlci-2,:)
+            &    gcb(nlci-2,:) + z2dtg * z2dt * laplacu(nlci-2,:) * gcdprc(nlci-2,:) * hu(nlci-2,:) * e2u(nlci-2,:)
          IF( nbondj == -1 .OR. nbondj == 2 )   gcb(:     ,3) =   &
-            &    gcb(:,3     ) - znugdt * z2dt * laplacv(:,2     ) * gcdprc(:,3     ) * hv(:,2     ) * e1v(:,2     )
+            &    gcb(:,3     ) - z2dtg * z2dt * laplacv(:,2     ) * gcdprc(:,3     ) * hv(:,2     ) * e1v(:,2     )
          IF( nbondj ==  1 .OR. nbondj == 2 )   gcb(:,nlcj-2) =   &
-            &    gcb(:,nlcj-2) + znugdt * z2dt * laplacv(:,nlcj-2) * gcdprc(:,nlcj-2) * hv(:,nlcj-2) * e1v(:,nlcj-2)
+            &    gcb(:,nlcj-2) + z2dtg * z2dt * laplacv(:,nlcj-2) * gcdprc(:,nlcj-2) * hv(:,nlcj-2) * e1v(:,nlcj-2)
       ENDIF
 #endif
@@ -298,11 +292,6 @@
       kindic = 0
       IF( ncut == 0 ) THEN
-         IF( nsolv == 1 ) THEN         ! diagonal preconditioned conjuguate gradient
-            CALL sol_pcg( kindic )
-         ELSEIF( nsolv == 2 ) THEN     ! successive-over-relaxation
-            CALL sol_sor( kindic )
-         ELSE                          ! e r r o r in nsolv namelist parameter
-            WRITE(ctmp1,*) ' ~~~~~~~~~~~                not = ', nsolv
-            CALL ctl_stop( ' dyn_spg_flt : e r r o r, nsolv = 1 or 2', ctmp1 )
+         IF    ( nn_solv == 1 ) THEN   ;   CALL sol_pcg( kindic )      ! diagonal preconditioned conjuguate gradient
+         ELSEIF( nn_solv == 2 ) THEN   ;   CALL sol_sor( kindic )      ! successive-over-relaxation
          ENDIF
       ENDIF
@@ -313,6 +302,6 @@
          DO ji = fs_2, fs_jpim1   ! vector opt.
             ! trend of Transport divergence gradient
-            ztdgu = znugdt * (gcx(ji+1,jj  ) - gcx(ji,jj) ) / e1u(ji,jj)
-            ztdgv = znugdt * (gcx(ji  ,jj+1) - gcx(ji,jj) ) / e2v(ji,jj)
+            ztdgu = z2dtg * (gcx(ji+1,jj  ) - gcx(ji,jj) ) / e1u(ji,jj)
+            ztdgv = z2dtg * (gcx(ji  ,jj+1) - gcx(ji,jj) ) / e2v(ji,jj)
             ! multiplied by z2dt
 #if defined key_obc
@@ -336,8 +325,8 @@
       IF( .NOT. Agrif_Root() ) THEN
          ! caution : grad D (fine) = grad D (coarse) at coarse/fine interface
-         IF( nbondi == -1 .OR. nbondi == 2 ) spgu(2     ,:) = znugdt * z2dt * laplacu(2     ,:) * umask(2     ,:,1)
-         IF( nbondi ==  1 .OR. nbondi == 2 ) spgu(nlci-2,:) = znugdt * z2dt * laplacu(nlci-2,:) * umask(nlci-2,:,1)
-         IF( nbondj == -1 .OR. nbondj == 2 ) spgv(:,2     ) = znugdt * z2dt * laplacv(:,2     ) * vmask(:     ,2,1)
-         IF( nbondj ==  1 .OR. nbondj == 2 ) spgv(:,nlcj-2) = znugdt * z2dt * laplacv(:,nlcj-2) * vmask(:,nlcj-2,1)
+         IF( nbondi == -1 .OR. nbondi == 2 ) spgu(2     ,:) = z2dtg * z2dt * laplacu(2     ,:) * umask(2     ,:,1)
+         IF( nbondi ==  1 .OR. nbondi == 2 ) spgu(nlci-2,:) = z2dtg * z2dt * laplacu(nlci-2,:) * umask(nlci-2,:,1)
+         IF( nbondj == -1 .OR. nbondj == 2 ) spgv(:,2     ) = z2dtg * z2dt * laplacv(:,2     ) * vmask(:     ,2,1)
+         IF( nbondj ==  1 .OR. nbondj == 2 ) spgv(:,nlcj-2) = z2dtg * z2dt * laplacv(:,nlcj-2) * vmask(:,nlcj-2,1)
       ENDIF
 #endif      
Index: trunk/NEMO/OPA_SRC/DYN/dynvor.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 1601)
@@ -38,5 +38,5 @@
    PUBLIC   dyn_vor   ! routine called by step.F90
 
-   !                                             !!* Namelist nam_dynvor: vorticity term
+   !                                             !!* Namelist namdyn_vor: vorticity term
    LOGICAL, PUBLIC ::   ln_dynvor_ene = .FALSE.   !: energy conserving scheme
    LOGICAL, PUBLIC ::   ln_dynvor_ens = .TRUE.    !: enstrophy conserving scheme
@@ -645,9 +645,9 @@
       !!----------------------------------------------------------------------
       INTEGER ::   ioptio          ! temporary integer
-      NAMELIST/nam_dynvor/ ln_dynvor_ens, ln_dynvor_ene, ln_dynvor_mix, ln_dynvor_een
-      !!----------------------------------------------------------------------
-
-      REWIND ( numnam )               ! Read Namelist nam_dynvor : Vorticity scheme options
-      READ   ( numnam, nam_dynvor )
+      NAMELIST/namdyn_vor/ ln_dynvor_ens, ln_dynvor_ene, ln_dynvor_mix, ln_dynvor_een
+      !!----------------------------------------------------------------------
+
+      REWIND ( numnam )               ! Read Namelist namdyn_vor : Vorticity scheme options
+      READ   ( numnam, namdyn_vor )
 
       IF(lwp) THEN                    ! Namelist print
@@ -655,5 +655,5 @@
          WRITE(numout,*) 'dyn:vor_ctl : vorticity term : read namelist and control the consistency'
          WRITE(numout,*) '~~~~~~~~~~~'
-         WRITE(numout,*) '        Namelist nam_dynvor : oice of the vorticity term scheme'
+         WRITE(numout,*) '        Namelist namdyn_vor : oice of the vorticity term scheme'
          WRITE(numout,*) '           energy    conserving scheme                ln_dynvor_ene = ', ln_dynvor_ene
          WRITE(numout,*) '           enstrophy conserving scheme                ln_dynvor_ens = ', ln_dynvor_ens
Index: trunk/NEMO/OPA_SRC/FLO/flo_oce.F90
===================================================================
--- trunk/NEMO/OPA_SRC/FLO/flo_oce.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/FLO/flo_oce.F90	(revision 1601)
@@ -2,14 +2,8 @@
    !!======================================================================
    !!                     ***  MODULE flo_oce  ***
-   !!                
-   !! ** Purpose : - Define in memory all floats parameters and variables
-   !!
-   !! History :
-   !!   8.0  !  99-10  (CLIPPER projet)
-   !!   9.0  !  02-11  (G. Madec, A. Bozec)  F90: Free form and module
+   !! lagrangian floats :   define in memory all floats parameters and variables
    !!======================================================================
-   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Id$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! History :   OPA  ! 1999-10  (CLIPPER projet)
+   !!   NEMO      1.0  ! 2002-11  (G. Madec, A. Bozec)  F90: Free form and module
    !!----------------------------------------------------------------------
 #if   defined key_floats   ||   defined key_esopa
@@ -17,8 +11,8 @@
    !!   'key_floats'                                        drifting floats
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE par_oce         ! ocean parameters
 
    IMPLICIT NONE
+   PUBLIC
 
    LOGICAL, PUBLIC, PARAMETER ::   lk_floats = .TRUE.    !: float flag
@@ -26,36 +20,24 @@
    !! float parameters
    !! ----------------
-   INTEGER, PARAMETER ::   &
-      jpnfl     = 23 ,            &  ! total number of floats during the run
-      jpnnewflo =  0 ,            &  ! number of floats added in a new run
-      jpnrstflo = jpnfl-jpnnewflo    ! number of floats for the restart
+   INTEGER, PUBLIC, PARAMETER ::   jpnfl     = 23 ,                !: total number of floats during the run
+   INTEGER, PUBLIC, PARAMETER ::   jpnnewflo =  0 ,                !: number of floats added in a new run
+   INTEGER, PUBLIC, PARAMETER ::   jpnrstflo = jpnfl - jpnnewflo   !: number of floats for the restart
 
    !! float variables
    !! ---------------
-   INTEGER, DIMENSION(jpnfl)  ::    &
-      nisobfl,    &  ! 0 for a isobar float
-      !              ! 1 for a float following the w velocity
-      ngrpfl         ! number to identify searcher group
+   INTEGER, PUBLIC, DIMENSION(jpnfl)  ::   nisobfl   !: =0 for a isobar float , =1 for a float following the w velocity
+   INTEGER, PUBLIC, DIMENSION(jpnfl)  ::   ngrpfl    !: number to identify searcher group
 
-   REAL(wp), DIMENSION(jpnfl) ::    &
-      flxx,       &  ! longitude of float (decimal degree)
-      flyy,       &  ! latitude of float (decimal degree)
-      flzz,       &  ! depth of float (m, positive)
-      tpifl,      &  ! index of float position on zonal axe
-      tpjfl,      &  ! index of float position on meridien axe
-      tpkfl          ! index of float position on z axe
+   REAL(wp), PUBLIC, DIMENSION(jpnfl) ::   flxx , flyy , flzz    !: longitude, latitude, depth of float (decimal degree, m >0)
+   REAL(wp), PUBLIC, DIMENSION(jpnfl) ::   tpifl, tpjfl, tpkfl   !: (i,j,k) indices of float position
+
+   REAL(wp), PUBLIC, DIMENSION(jpi, jpj, jpk) ::   wb            !: vertical velocity at previous time step (m s-1).
    
-   REAL(wp), DIMENSION(jpi, jpj, jpk) ::    & 
-      wb             ! vertical velocity at previous time step (m s-1).
-   
-   ! floats unit
-   
-   LOGICAL  ::                & !!! * namelist namflo *
-      ln_rstflo = .FALSE. ,   &  ! T/F float restart 
-      ln_argo   = .FALSE. ,   &  ! T/F argo type floats
-      ln_flork4 = .FALSE.        ! T/F 4th order Runge-Kutta
-   INTEGER  ::               & !!! * namelist namflo *
-      nwritefl,              &  ! frequency of float output file 
-      nstockfl                  ! frequency of float restart file
+   !                                  !!! * namelist namflo : langrangian floats *
+   LOGICAL, PUBLIC  ::   ln_rstflo  = .FALSE.    !: T/F float restart 
+   LOGICAL, PUBLIC  ::   ln_argo    = .FALSE.    !: T/F argo type floats
+   LOGICAL, PUBLIC  ::   ln_flork4  = .FALSE.    !: T/F 4th order Runge-Kutta
+   INTEGER, PUBLIC  ::   nn_writefl = 150       !: frequency of float output file 
+   INTEGER, PUBLIC  ::   nn_stockfl = 450       !: frequency of float restart file
 
 #else
@@ -66,4 +48,8 @@
 #endif
 
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
+   !! $Id$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!======================================================================
 END MODULE flo_oce
Index: trunk/NEMO/OPA_SRC/FLO/floats.F90
===================================================================
--- trunk/NEMO/OPA_SRC/FLO/floats.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/FLO/floats.F90	(revision 1601)
@@ -4,4 +4,7 @@
    !! Ocean floats : floats
    !!======================================================================
+   !! History :  OPA  !          (CLIPPER)   original Code
+   !!   NEMO     1.0  ! 2002-06  (A. Bozec)  F90, Free form and module
+   !!----------------------------------------------------------------------
 #if   defined key_floats   ||   defined key_esopa
    !!----------------------------------------------------------------------
@@ -11,5 +14,4 @@
    !!   flo_init  : initialization of float trajectories computation
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE flo_oce         ! floats variables
    USE lib_mpp         ! distributed memory computing
@@ -22,10 +24,10 @@
    PRIVATE  
 
-   !! * Routine accessibility
-   PUBLIC flo_stp    ! routine called by step.F90
+   PUBLIC   flo_stp    ! routine called by step.F90
+
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
    !! $Id$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -42,12 +44,8 @@
       !!        algorithm by default and with a 4th order Runge-Kutta scheme
       !!        if ln_flork4 =T
-      !!      
-      !! History :
-      !!   8.5  !  02-06  (A. Bozec, G. Madec )  F90: Free form and module
       !!----------------------------------------------------------------------
-      !! * arguments
       INTEGER, INTENT( in  ) ::   kt   ! ocean time step
       !!----------------------------------------------------------------------
-
+      !
       IF( kt == nit000 ) THEN
          IF(lwp) WRITE(numout,*)
@@ -59,27 +57,18 @@
          CALL flo_dom            ! compute/read initial position of floats
 
-         ! Initialisation of wb for computation of floats trajectories at the first time step
-         wb(:,:,:) = wn(:,:,:)
+         wb(:,:,:) = wn(:,:,:)   ! set wb for computation of floats trajectories at the first time step
       ENDIF
-
-      IF( ln_flork4 ) THEN
-         CALL flo_4rk( kt )        ! Trajectories using a 4th order Runge Kutta scheme
-      ELSE
-         CALL flo_blk( kt )        ! Trajectories using Blanke' algorithme
+      !
+      IF( ln_flork4 ) THEN   ;   CALL flo_4rk( kt )        ! Trajectories using a 4th order Runge Kutta scheme
+      ELSE                   ;   CALL flo_blk( kt )        ! Trajectories using Blanke' algorithme
       ENDIF
-
+      !
       IF( lk_mpp )   CALL mppsync   ! synchronization of all the processor
-
-
-      ! Writing and restart      
-      
-      ! trajectories file 
-      IF( kt == nit000 .OR. MOD( kt, nwritefl ) == 0 )   CALL flo_wri( kt )
-      ! restart file 
-      IF( kt == nitend .OR. MOD( kt, nstockfl ) == 0 )   CALL flo_wri( kt )
-
-      ! Save the old vertical velocity field
-      wb(:,:,:) = wn(:,:,:)
-
+      !
+      IF( kt == nit000 .OR. MOD( kt, nn_writefl ) == 0 )   CALL flo_wri( kt )      ! trajectories file 
+      IF( kt == nitend .OR. MOD( kt, nn_stockfl ) == 0 )   CALL flo_wri( kt )      ! restart file 
+      !
+      wb(:,:,:) = wn(:,:,:)         ! Save the old vertical velocity field
+      !
    END SUBROUTINE flo_stp
 
@@ -90,37 +79,23 @@
       !!                   
       !! ** Purpose :   Read the namelist of floats
-      !!      
-      !! History :
-      !!   8.0  !         (CLIPPER)   original Code
-      !!   8.5  !  02-06  (A. Bozec)  F90, Free form and module
       !!----------------------------------------------------------------------
-      !! * Modules used
       USE ioipsl
-
-      !! * Local declarations
-      NAMELIST/namflo/ ln_rstflo, nwritefl, nstockfl, ln_argo, ln_flork4 
+      !!
+      NAMELIST/namflo/ ln_rstflo, nn_writefl, nn_stockfl, ln_argo, ln_flork4 
       !!---------------------------------------------------------------------
-      ! Namelist namflo : floats
-      
-      ! default values
-      ln_rstflo  = .FALSE.
-      nwritefl  = 150
-      nstockfl  = 450
-      
-      ! lecture of namflo
-      REWIND( numnam )
+      !
+      REWIND( numnam )              ! Namelist namflo : floats
       READ  ( numnam, namflo )
-
-      IF(lwp) THEN
-         WRITE(numout,*) ' '
+      !
+      IF(lwp) THEN                  ! control print
+         WRITE(numout,*)
          WRITE(numout,*) '         Namelist floats :'
          WRITE(numout,*) '            restart                          ln_rstflo = ', ln_rstflo
-         WRITE(numout,*) '            frequency of float output file   nwritefl  = ', nwritefl
-         WRITE(numout,*) '            frequency of float restart file  nstockfl  = ', nstockfl
+         WRITE(numout,*) '            frequency of float output file   nn_writefl  = ', nn_writefl
+         WRITE(numout,*) '            frequency of float restart file  nn_stockfl  = ', nn_stockfl
          WRITE(numout,*) '            Argo type floats                 ln_argo   = ', ln_argo
          WRITE(numout,*) '            Computation of T trajectories    ln_flork4 = ', ln_flork4
-         WRITE(numout,*) ' '
       ENDIF
-
+      !
    END SUBROUTINE flo_init
 
Index: trunk/NEMO/OPA_SRC/FLO/flowri.F90
===================================================================
--- trunk/NEMO/OPA_SRC/FLO/flowri.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/FLO/flowri.F90	(revision 1601)
@@ -2,6 +2,11 @@
    !!======================================================================
    !!                       ***  MODULE  flowri  ***
-   !! 
+   !! lagrangian floats :   outputs
    !!======================================================================
+   !! History :   OPA  ! 1999-09  (Y. Drillet)  Original code
+   !!                  ! 2000-06  (J.-M. Molines)  Profiling floats for CLS 
+   !!   NEMO      1.0  ! 2002-11  (G. Madec, A. Bozec)  F90: Free form and module
+   !!----------------------------------------------------------------------
+
 #if   defined key_floats   ||   defined key_esopa
    !!----------------------------------------------------------------------
@@ -10,5 +15,4 @@
    !!    flowri     : write trajectories of floats in file 
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE flo_oce         ! ocean drifting floats
    USE oce             ! ocean dynamics and tracers
@@ -19,18 +23,16 @@
 
    IMPLICIT NONE
-
-   !! * Accessibility
    PRIVATE
-   PUBLIC flo_wri     ! routine called by floats.F90
-
-   !! * Module variables
-      INTEGER :: jfl              ! number of floats
+
+   PUBLIC   flo_wri    ! routine called by floats.F90
+
+   INTEGER ::   jfl    ! number of floats
 
    !! * Substitutions
 #  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
    !! $Id$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -38,5 +40,5 @@
 
    SUBROUTINE flo_wri( kt )
-      !!---------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !!                  ***  ROUTINE flo_wri  ***
       !!             
@@ -44,21 +46,12 @@
       !!      and the temperature and salinity at this position
       !!      
-      !! ** Method  :   The frequency is nwritefl
-      !!      
-      !!  History :
-      !!    8.0  !  99-09  (Y. Drillet)  Original code
-      !!         !  00-06  (J.-M. Molines)  Profiling floats for CLS 
-      !!    8.5  !  02-10  (A. Bozec)  F90: Free form and module
+      !! ** Method  :   The frequency is nn_writefl
       !!----------------------------------------------------------------------
-      !! * Arguments
-      INTEGER  :: kt                               ! time step
-
-      !! * Local declarations
+      INTEGER ::   kt   ! time step
+      !!
       CHARACTER (len=21) ::  clname
-      INTEGER ::   inum            ! temporary logical unit for restart file
-      INTEGER  ::   &
-         iafl,ibfl,icfl,ia1fl,ib1fl,ic1fl,jfl,irecflo,   &
-         iafloc,ibfloc,ia1floc,ib1floc,   &
-         iafln, ibfln
+      INTEGER ::   inum   ! temporary logical unit for restart file
+      INTEGER ::   iafl, ibfl, icfl, ia1fl, ib1fl, ic1fl, jfl, irecflo,   &
+      INTEGER ::   iafloc, ibfloc, ia1floc, ib1floc, iafln, ibfln
       INTEGER  ::    ic, jc , jpn
       INTEGER, DIMENSION ( jpnij )  :: iproc
@@ -69,5 +62,5 @@
       !!---------------------------------------------------------------------
       
-      IF( kt == nit000 .OR. MOD( kt,nwritefl)== 0 ) THEN 
+      IF( kt == nit000 .OR. MOD( kt,nn_writefl)== 0 ) THEN 
 
          ! header of output floats file
@@ -84,6 +77,6 @@
 
          IF( kt == nit000 ) THEN
-            irecflo = NINT( (nitend-nit000) / FLOAT(nwritefl) )
-            IF(lwp) WRITE(numflo)cexper,no,irecflo,jpnfl,nwritefl
+            irecflo = NINT( (nitend-nit000) / FLOAT(nn_writefl) )
+            IF(lwp) WRITE(numflo)cexper,no,irecflo,jpnfl,nn_writefl
          ENDIF
          zdtj = rdt / 86400.      !!bug   use of 86400 instead of the phycst parameter
@@ -246,5 +239,5 @@
       ENDIF
       
-      IF( (MOD(kt,nstockfl) == 0) .OR. ( kt == nitend ) ) THEN 
+      IF( (MOD(kt,nn_stockfl) == 0) .OR. ( kt == nitend ) ) THEN 
          ! Writing the restart file 
          IF(lwp) THEN
